langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_story_author
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldInstanceMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7_geo
label: 'Authors (Story authors)'
source:
  constants:
    user_id: 1
    author_status: 1
    # The users that have an article in the old site will have the term
    # "Author" on the new site, this term was migrated from a CSV and in that
    # file the ID of that term is 2 (see default_terms.csv) so we are going to
    # use that source ID to get the site term id.
    author_type_source_id: 2
  plugin: geod7_author
process:
  title: field_author_value
  uid: constants/user_id
  status: constants/author_status
  field_people_type:
    - plugin: migration_lookup
      migration: upgrade_d7_taxonomy_term_custom_terms
      source: constants/author_type_source_id
  field_summary: bio
  paragraph_bio:
    plugin: migration
    migration: upgrade_d7_node_story_bio_paragraph
    source: field_author_value
  field_body_paragraph:
    - plugin: iterator
      source:
        - '@paragraph_bio'
      process:
        target_id: '0'
        target_revision_id: '1'
destination:
  plugin: 'entity:node'
  default_bundle: people
migration_dependencies:
  required:
    - upgrade_d7_taxonomy_term_custom_terms
    - upgrade_d7_node_story
    - upgrade_d7_node_page
    - upgrade_d7_node_gleaning
    - upgrade_d7_node_blog
  optional: {  }
